com.tibco.n2.service.adapter.binding

## Interface OrgResourceService

- All Known Implementing Classes:
    OrgResourceService

      public interface OrgResourceService

  Provides interfaces for the Organizational Resource services. See the XML Schema for service and parameter descriptions.

  ©2012 TIBCO Software Inc. All Rights Reserved.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.tibco.bpm.de.api.resource.CreateResourceResponseDocument.CreateResourceResponse` | `createResource(com.tibco.bpm.de.api.resource.XmlCreateResource.Candidate[] candidateArray)` Having retrieved a list of the candidate Resources, this method will allow the caller to create Resources from the LDAP references returned with each candidate Resources.
    `java.lang.String[]` | `deleteResource(java.lang.String[] guidArray)` Deletes the Resource identified by the given GUID.
    `com.tibco.bpm.de.api.resource.FindResourcesResponseDocument.FindResourcesResponse` | `findResources(com.tibco.bpm.de.api.resource.FindResourcesDocument.FindResources aRequest)` Locates the resources associated with the org-model entities.
    `com.tibco.bpm.de.api.resource.GetDeletedResourcesResponseDocument.GetDeletedResourcesResponse` | `getDeletedResources()` When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed.
    `com.tibco.bpm.de.api.resource.GetDeletedResourcesResponseDocument.GetDeletedResourcesResponse` | `getDeletedResources(com.tibco.bpm.de.api.base.XmlPageControl aControl)` When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed.
    `com.tibco.bpm.de.api.base.XmlResourceDetail[]` | `getResource(int modelVersion, java.lang.String[] guidArray)` Returns detailed information for the Resource identified by its GUID.
    `com.tibco.bpm.de.api.base.XmlResourceDetail[]` | `getResource(java.lang.String[] guidArray)` Returns detailed information for the Resource identified by its GUID.
    `int` | `purgeDeletedResources(java.lang.String[] aGuids)` When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed.
    `com.tibco.bpm.de.api.base.XmlResourceDetail[]` | `updateResource(int modelVersion, com.tibco.bpm.de.api.resource.XmlUpdateResourceType[] resourceArray)` Updates the Resource identified by the given GUID.
    `com.tibco.bpm.de.api.base.XmlResourceDetail[]` | `updateResource(com.tibco.bpm.de.api.resource.XmlUpdateResourceType[] resourceArray)` Updates the Resource identified by the given GUID.

- - ### Method Detail

    - #### createResource

          com.tibco.bpm.de.api.resource.CreateResourceResponseDocument.CreateResourceResponse createResource(com.tibco.bpm.de.api.resource.XmlCreateResource.Candidate[] candidateArray)
                                                                                                      throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                                                             com.tibco.n2.de.services.SecurityFault

      Having retrieved a list of the candidate Resources, this method will allow the caller to create Resources from the LDAP references returned with each candidate Resources. The response will return the GUID assigned to the newly created Resources. Each element in the response will identify the candidate to which it relates using the Primary LDAP Source reference and the LDAP Container ID.

      If a Resource already exists with a given LDAP references, no update is made to that Resource and the GUID of the existing Resource is returned in the response (along with a boolean attribute "already-present").

      For those candidates for which a Resource could not be created (due to some logical error, rather than a system failure), the response will include a "failure" element identifying the candidate and giving a reason for the failure. System failures will be reported using a SOAP Fault response.

      Parameters:
        `candidateArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### deleteResource

          java.lang.String[] deleteResource(java.lang.String[] guidArray)
                                     throws com.tibco.n2.de.services.DirectoryEngineFault,
                                            com.tibco.n2.de.services.SecurityFault

      Deletes the Resource identified by the given GUID. Any associations the Resource holds are also deleted. Any interested parties are notified of the deletion before it occurs, but cannot veto the deletion.
      Parameters:
        `guidArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### getResource

          com.tibco.bpm.de.api.base.XmlResourceDetail[] getResource(java.lang.String[] guidArray)
                                                             throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                    com.tibco.n2.de.services.SecurityFault

      Returns detailed information for the Resource identified by its GUID. The model version, in the request, identifies the org-model major version from which the Resource's model entity associations are to be taken. The default value of -1 indicates that the latest version should be used.
      Parameters:
        `guidArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### getResource

          com.tibco.bpm.de.api.base.XmlResourceDetail[] getResource(int modelVersion,
                                                                    java.lang.String[] guidArray)
                                                             throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                    com.tibco.n2.de.services.SecurityFault

      Returns detailed information for the Resource identified by its GUID. The model version, in the request, identifies the org-model major version from which the Resource's model entity associations are to be taken. The default value of -1 indicates that the latest version should be used.
      Parameters:
        `modelVersion` -
        `guidArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### updateResource

          com.tibco.bpm.de.api.base.XmlResourceDetail[] updateResource(com.tibco.bpm.de.api.resource.XmlUpdateResourceType[] resourceArray)
                                                                throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                       com.tibco.n2.de.services.PersistenceFault,
                                                                       com.tibco.n2.de.services.SecurityFault

      Updates the Resource identified by the given GUID. Any interested parties are notified of the update before it occurs, but cannot veto the update.
      Parameters:
        `candidateArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`
        `com.tibco.n2.de.services.PersistenceFault`

    - #### updateResource

          com.tibco.bpm.de.api.base.XmlResourceDetail[] updateResource(int modelVersion,
                                                                       com.tibco.bpm.de.api.resource.XmlUpdateResourceType[] resourceArray)
                                                                throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                       com.tibco.n2.de.services.PersistenceFault,
                                                                       com.tibco.n2.de.services.SecurityFault

      Updates the Resource identified by the given GUID. Any interested parties are notified of the update before it occurs, but cannot veto the update.
      Parameters:
        `candidateArray` -
      Returns:
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`
        `com.tibco.n2.de.services.PersistenceFault`

    - #### findResources

          com.tibco.bpm.de.api.resource.FindResourcesResponseDocument.FindResourcesResponse findResources(com.tibco.bpm.de.api.resource.FindResourcesDocument.FindResources aRequest)
                                                                                                   throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                                                          com.tibco.n2.de.services.SecurityFault

      Locates the resources associated with the org-model entities. The request identifies any number of groups, positions, org-units, locations or capabilities, from which the associated resources will be identified.

      The request may, alternatively, identify resources by their name.

      The response will list those resources, giving their guid, name and label properties. If the same resource is associated with more than one of the entities identified in the request, that resource will only appear once in the response. The response will not indicate the entity from which the resource was located.

      The model version, in the request, identifies the org-model major version in which the search for the entities should be performed. The default value of -1 indicates that the latest version should be used. *

      As a resource's associations, and the resource itself, can be limited by a date range, the search can selectively include only those resources that are currently associated with the identified entities. When searching by resource name or associations, a true value will ensure that the response only includes those resources whose date restrictions fall within the current date/time.

      Parameters:
        `aParameters` - identifies the org-model entities from which resources are to be retrieved. Alternatively, it names the resources to be retrieved.
      Returns:
        the list of resources associated with the identified org-model entities. Or, those resources names in the request.
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### getDeletedResources

          com.tibco.bpm.de.api.resource.GetDeletedResourcesResponseDocument.GetDeletedResourcesResponse getDeletedResources(com.tibco.bpm.de.api.base.XmlPageControl aControl)
                                                                                                                     throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                                                                            com.tibco.n2.de.services.SecurityFault

      When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed. This service allows those summary records to be retrieved. The results can be paged, or the entire result set can be returned in one call.
      Parameters:
        `aControl` - optionally identifies the page of results to be returned.
      Returns:
        the list of deleted resources. If paged results were requested, the response will include information about the page.
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### getDeletedResources

          com.tibco.bpm.de.api.resource.GetDeletedResourcesResponseDocument.GetDeletedResourcesResponse getDeletedResources()
                                                                                                                     throws com.tibco.n2.de.services.DirectoryEngineFault,
                                                                                                                            com.tibco.n2.de.services.SecurityFault

      When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed. This service allows those summary records to be retrieved. Returns the entire result set can be returned in one call.
      Returns:
        the list of deleted resources. If paged results were requested.
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

    - #### purgeDeletedResources

          int purgeDeletedResources(java.lang.String[] aGuids)
                             throws com.tibco.n2.de.services.DirectoryEngineFault,
                                    com.tibco.n2.de.services.SecurityFault

      When resources are deleted, a summary of their records are maintained in order to allow process and work-item administration to be completed. This service allows those deletion records to be permanently purged.
      Parameters:
        `aParameters` - identifes individual records to be purged.
      Returns:
        the response contains the number of records that were purged.
      Throws:
        `com.tibco.n2.de.services.DirectoryEngineFault`
        `com.tibco.n2.de.services.SecurityFault`

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.